﻿@model MaterialDetailView
@{
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@MaterialDetail.MD</h1>

<div class="">
    <!--col derecha-->

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@MaterialDetail.MD</h3>
        </div>

        <div class="panel-body">
            <!--col1-->
            <div class="col-md-6 col-sm-6 col-xs-12">
                <div class="form-group">
                    <label class="col-md-4 control-label">@PDM.Code</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Code, new { @Id = "Code", @Name = "Code", @readonly = true, @placeholder = @PDM.Code, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.ModelCode</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.U_ModCode, new { @Id = "U_ModCode", @Name = "U_ModCode", @readonly = true, @placeholder = @CS.ModelCode, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@CS.Description</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.U_Description, new { @Id = "U_Description", @Name = "U_Description", @placeholder = @CS.Description, @class = "form-control" })
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-xs-12">
                <div class="panel panel-default">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">@MaterialDetail.Image</h3>
                    </div>
                    <div class="panel-body">
                        @if (!string.IsNullOrEmpty(Model.U_Pic.Trim()))
                        {
                            <img src="/images/@Model.U_ModCode/@Model.U_Pic" alt="img" style="margin:15px auto; display:block; height:100px;">
                        }
                        else
                        {
                            <img src="~/Content/img/noimage.gif" alt="img" style="margin:15px auto; display:block; height:100px;">
                        }
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />
</div>



<div class="">
    <div class="bs-example2-tabs">
        <ul id="myTab" class="nav nav-tabs" role="tablist">
            <li class="active"><a href="#TabFabric" role="tab" data-toggle="tab">@MaterialDetail.Fabric </a></li>
            <li class=""><a href="#TabAccessories" role="tab" data-toggle="tab">@MaterialDetail.Accesories </a></li>
            <li class=""><a href="#TabCI" role="tab" data-toggle="tab">@MaterialDetail.CI</a></li>
            <li class=""><a href="#TabLabelling" role="tab" data-toggle="tab">@MaterialDetail.Labellings</a></li>
            <li class=""><a href="#TabPackaging" role="tab" data-toggle="tab">@MaterialDetail.Packaging</a></li>
            <li class=""><a href="#TabFootwear" role="tab" data-toggle="tab">@MaterialDetail.Footwear</a></li>
        </ul>
        <div id="TabContent" class="tab-content">
            <!--Tab Fabric-->
            <div class="tab-pane fade active in" id="TabFabric">
                <div class="panel-body">
                    <table class="table table-striped" id="TableFabric">
                        <thead>
                            <tr>
                                <th>&nbsp;</th>
                                <th><strong>Color</strong></th>
                                <th>&nbsp;</th>
                                <th><strong>@PDM.Composition</strong></th>
                                @{
                                    if (Model.mMaterialDetailsUDF.ListUDFFabric.Count() > 0)
                                    {
                                        foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFabric.OrderBy(c => c.UDFName))
                                        {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                        }
                                    }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.ListFabric != null)
                            {
                                foreach (ARGNSMDFabric item in Model.ListFabric)
                                {
                                    @Html.Partial("_RowFabric", item)
                                }
                            }
                        </tbody>
                    </table> 
                    <div class="clearfix" style="height:10px;"></div>
                    <button onclick="AddRow('TableFabric','Fabric')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                </div>
                <div class="clearfix"></div>
            </div>

            <!--Tab Accessories-->
            <div class="tab-pane fade" id="TabAccessories">
                <div class="panel-body">
                    <table class="table table-striped" id="TableAccessories">
                        <thead>
                            <tr>
                                <th>&nbsp;</th>
                                <th><strong>@MaterialDetail.Buttons</strong></th>
                                <th><strong>@MaterialDetail.Trims</strong></th>
                                <th><strong>@MaterialDetail.Zippers</strong></th>
                                @{
                                    if (Model.mMaterialDetailsUDF.ListUDFAccessories.Count() > 0)
                                    {
                                        foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFAccessories.OrderBy(c => c.UDFName))
                                        {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                        }
                                    }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.ListAccessories != null)
                            {
                                foreach (ARGNSMDAccess item in Model.ListAccessories)
                                {
                                    @Html.Partial("_RowAccessories", item)
                                }
                            }
                        </tbody>
                    </table>
                    <div class="clearfix" style="height:10px;"></div>
                    <button onclick="AddRow('TableAccessories','Accessories')" class="btn btn-primary btn-lg btn_green"> Add Accessories Row</button>
                </div>
                <div class="clearfix"></div>
            </div>

            <!--Tab CI-->
            <div class="tab-pane fade" id="TabCI">
                <div class="panel-body">
                    <table class="table table-striped" id="TableCI">
                        <thead>
                            <tr>
                                <th>&nbsp;</th>
                                <th><strong>Color</strong></th>
                                <th><strong>@MaterialDetail.CT</strong></th>
                                <th><strong>@MaterialDetail.CC</strong></th>
                                <th><strong>@MaterialDetail.CL</strong></th>
                                @{
                                if (Model.mMaterialDetailsUDF.ListUDFCareInstructions.Count() > 0)
                                {
                                foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFCareInstructions.OrderBy(c => c.UDFName))
                                {
                                <th><strong>@DictRow.UDFDesc</strong></th>
                                }
                                }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.ListCareInstructions != null)
                            {

                            foreach (ARGNSMDCareInst item in Model.ListCareInstructions)
                            {
                            @Html.Partial("_RowCareInstructions", item)
                            }
                            }
                        </tbody>
                    </table>
                    <div class="clearfix" style="height:10px;"></div>
                    <button onclick="AddRow('TableCI', 'CI')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                </div>
                <div class="clearfix"></div>
            </div>

            <!--Tab Labelling-->
            <div class="tab-pane fade" id="TabLabelling">
                <div class="panel-body">
                    <table class="table table-striped" id="TableLabelling">
                        <thead>
                            <tr>
                                <th>&nbsp;</th>
                                <th><strong>@MaterialDetail.ML</strong></th>
                                <th><strong>@MaterialDetail.LI</strong></th>
                                <th><strong>@MaterialDetail.LS</strong></th>
                                <th><strong>@MaterialDetail.Position</strong></th>
                                @{
                                if (Model.mMaterialDetailsUDF.ListUDFLabelling.Count() > 0)
                                {
                                foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFLabelling.OrderBy(c => c.UDFName))
                                {
                                <th><strong>@DictRow.UDFDesc</strong></th>
                                }
                                }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.ListLabelling != null)
                            {
                            foreach (ARGNSMDLabelling item in Model.ListLabelling)
                            {
                            @Html.Partial("_RowLabelling", item)
                            }
                            }
                        </tbody>
                    </table>
                    <div class="clearfix" style="height:10px;"></div>
                    <button onclick="AddRow('TableLabelling', 'Labelling')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                </div>
                <div class="clearfix"></div>
            </div>

            <!--Tab Packaging-->
            <div class="tab-pane fade" id="TabPackaging">
                <div class="panel-body">
                    <table class="table table-striped" id="TablePackaging">
                        <thead>
                            <tr>
                                <th>&nbsp;</th>
                                <th><strong>@MaterialDetail.Hangtag</strong></th>
                                <th><strong>@MaterialDetail.Polybag</strong></th>
                                <th><strong>@MaterialDetail.Others</strong></th>
                                <th><strong>@MaterialDetail.OuterPacking</strong></th>
                                @{
                                if (Model.mMaterialDetailsUDF.ListUDFPackaging.Count() > 0)
                                {
                                foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFPackaging.OrderBy(c => c.UDFName))
                                {
                                <th><strong>@DictRow.UDFDesc</strong></th>
                                }
                                }
                                }
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.ListPackaging != null)
                            {
                            foreach (ARGNSMDPackaging item in Model.ListPackaging)
                            {
                            @Html.Partial("_RowPackaging", item)
                            }
                            }
                        </tbody>
                    </table>
                    <div class="clearfix" style="height:10px;"></div>
                    <button onclick="AddRow('TablePackaging', 'Packaging')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                </div>
                <div class="clearfix"></div>
            </div>

            <!--Tab Footwear-->
            <div class="tab-pane fade" id="TabFootwear">
                <div class="bs-example2-tabs">
                    <ul id="myTabFootwear" class="nav nav-tabs" role="tablist">
                        <li class="active"><a href="#TabFootwearMaterial" role="tab" data-toggle="tab">Material</a></li>
                        <li class=""><a href="#TabFootwearDetail" role="tab" data-toggle="tab">@MaterialDetail.Detail</a></li>
                        <li class=""><a href="#TabFootwearPackaging" role="tab" data-toggle="tab">@MaterialDetail.Packaging</a></li>
                        <li class=""><a href="#TabFootwearPictogram" role="tab" data-toggle="tab">@MaterialDetail.Pictogram</a></li>
                        <li class=""><a href="#TabFootwearSRange" role="tab" data-toggle="tab">@MaterialDetail.SR</a></li>
                        <li class=""><a href="#TabFootwearAccessories" role="tab" data-toggle="tab">@MaterialDetail.Accesories</a></li>
                    </ul>
                    <div id="TabContentFootwear" class="tab-content">
                        <!--Tab Footwear Material-->
                        <div class="tab-pane fade active in" id="TabFootwearMaterial">
                            <div class="panel-body">
                                <table class="table table-striped" id="TableFootwearMaterial">
                                    <thead>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><strong>@MaterialDetail.SF</strong></th>
                                            <th><strong>@MaterialDetail.Lining</strong></th>
                                            <th><strong>@MaterialDetail.Insole</strong></th>
                                            <th><strong>@MaterialDetail.Outsole</strong></th>
                                            <th><strong>@MaterialDetail.Heel</strong></th>
                                            @{
                                            if (Model.mMaterialDetailsUDF.ListUDFFootwearMaterial.Count() > 0)
                                            {
                                            foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFootwearMaterial.OrderBy(c => c.UDFName))
                                            {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                            }
                                            }
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.ListFootwearMaterial != null)
                                        {
                                        foreach (ARGNSMDFootwearMaterial item in Model.ListFootwearMaterial)
                                        {
                                        @Html.Partial("_RowFootwearMaterial", item)
                                        }
                                        }
                                    </tbody>
                                </table>
                                <div class="clearfix" style="height:10px;"></div>
                                <button onclick="AddRow('TableFootwearMaterial', 'FootwearMaterial')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <!--Tab Footwear Detail-->
                        <div class="tab-pane fade" id="TabFootwearDetail">
                            <div class="panel-body">
                                <table class="table table-striped" id="TableFootwearDetail">
                                    <thead>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><strong>@MaterialDetail.HH</strong></th>
                                            <th><strong>@MaterialDetail.BH</strong></th>
                                            <th><strong>@MaterialDetail.BW</strong></th>
                                            <th><strong>@MaterialDetail.Strap</strong></th>
                                            <th><strong>@MaterialDetail.Seams</strong></th>
                                            <th><strong>@MaterialDetail.Others</strong></th>
                                            @{
                                            if (Model.mMaterialDetailsUDF.ListUDFFootwearDetail.Count() > 0)
                                            {
                                            foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFootwearDetail.OrderBy(c => c.UDFName))
                                            {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                            }
                                            }
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.ListFootwearDetail != null)
                                        {
                                        foreach (ARGNSMDFootwearDetails item in Model.ListFootwearDetail)
                                        {
                                        @Html.Partial("_RowFootwearDetail", item)
                                        }
                                        }
                                    </tbody>
                                </table>
                                <div class="clearfix" style="height:10px;"></div>
                                <button onclick="AddRow('TableFootwearDetail', 'FootwearDetail')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <!--Tab Footwear Packaging-->
                        <div class="tab-pane fade" id="TabFootwearPackaging">
                            <div class="panel-body">
                                <table class="table table-striped" id="TableFootwearPackaging">
                                    <thead>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><strong>@MaterialDetail.Hangtag</strong></th>
                                            <th><strong>@MaterialDetail.Polybag / @MaterialDetail.SB</strong></th>
                                            <th><strong>@MaterialDetail.OuterPacking</strong></th>
                                            <th><strong>@MaterialDetail.Others</strong></th>
                                            @{
                                            if (Model.mMaterialDetailsUDF.ListUDFFootwearPackaging.Count() > 0)
                                            {
                                            foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFootwearPackaging.OrderBy(c => c.UDFName))
                                            {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                            }
                                            }
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.ListFootwearPackaging != null)
                                        {
                                        foreach (ARGNSMDFootwearPackaging item in Model.ListFootwearPackaging)
                                        {
                                        @Html.Partial("_RowFootwearPackaging", item)
                                        }
                                        }
                                    </tbody>
                                </table>
                                <div class="clearfix" style="height:10px;"></div>
                                <button onclick="AddRow('TableFootwearPackaging', 'FootwearPackaging')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <!--Tab Footwear Pictogram-->
                        <div class="tab-pane fade" id="TabFootwearPictogram">
                            <div class="panel-body">
                                <table class="table table-striped" id="TableFootwearPictogram">
                                    <thead>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><strong>@MaterialDetail.Pictogram</strong></th>
                                            @{
                                            if (Model.mMaterialDetailsUDF.ListUDFFootwearPictogram.Count() > 0)
                                            {
                                            foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFootwearPictogram.OrderBy(c => c.UDFName))
                                            {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                            }
                                            }
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.ListFootwearPictogram != null)
                                        {
                                        foreach (ARGNSMDFootwearPictogram item in Model.ListFootwearPictogram)
                                        {
                                        @Html.Partial("_RowFootwearPictogram", item)
                                        }
                                        }
                                    </tbody>
                                </table>
                                <div class="clearfix" style="height:10px;"></div>
                                <button onclick="AddRow('TableFootwearPictogram', 'FootwearPictogram')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <!--Tab Footwear Size Range-->
                        <div class="tab-pane fade" id="TabFootwearSRange">
                            <div class="panel-body">
                                <table class="table table-striped" id="TableFootwearSRange">
                                    <thead>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><strong>@MaterialDetail.SR</strong></th>
                                            @{
                                            if (Model.mMaterialDetailsUDF.ListUDFFootwearSizeRange.Count() > 0)
                                            {
                                            foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFootwearSizeRange.OrderBy(c => c.UDFName))
                                            {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                            }
                                            }
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.ListFootwearSizeRange != null)
                                        {
                                        foreach (ARGNSMDFootwearSRange item in Model.ListFootwearSizeRange)
                                        {
                                        @Html.Partial("_RowFootwearSizeRange", item)
                                        }
                                        }
                                    </tbody>
                                </table>
                                <div class="clearfix" style="height:10px;"></div>
                                <button onclick="AddRow('TableFootwearSRange', 'FootwearSizeRange')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <!--Tab Footwear Accessories-->
                        <div class="tab-pane fade" id="TabFootwearAccessories">
                            <div class="panel-body">
                                <table class="table table-striped" id="TableFootwearAccessories">
                                    <thead>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><strong>@MaterialDetail.SL</strong></th>
                                            <th><strong>@MaterialDetail.Eyelets</strong></th>
                                            <th><strong>@MaterialDetail.Buckles</strong></th>
                                            <th><strong>@MaterialDetail.Enclosures</strong></th>
                                            <th><strong>@MaterialDetail.Labelling</strong></th>
                                            <th><strong>@MaterialDetail.Others</strong></th>
                                            @{
                                            if (Model.mMaterialDetailsUDF.ListUDFFootwearAccessories.Count() > 0)
                                            {
                                            foreach (var DictRow in Model.mMaterialDetailsUDF.ListUDFFootwearAccessories.OrderBy(c => c.UDFName))
                                            {
                                            <th><strong>@DictRow.UDFDesc</strong></th>
                                            }
                                            }
                                            }
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.ListFootwearAccessories != null)
                                        {
                                        foreach (ARGNSMDFootwearAccess item in Model.ListFootwearAccessories)
                                        {
                                        @Html.Partial("_RowFootwearAccessories", item)
                                        }
                                        }
                                    </tbody>
                                </table>
                                <div class="clearfix" style="height:10px;"></div>
                                <button onclick="AddRow('TableFootwearAccessories', 'FootwearAccessories')" class="btn btn-primary btn-lg btn_green"> Add Fabric Row</button>
                            </div>
                            <div class="clearfix"></div>
                        </div>

                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
</div>

<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@MaterialDetail.MDUpdateMessage</strong>
</div>

@if (ViewBag.FormMode != "View")
{
    <button id="btnOK" class="btn btn-lg btn-success">Ok</button>
}

@Scripts.Render("~/bundles/MaterialDetail")